Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPierre Habouzit <madcoder@debian.org>2007-11-08 12:32:11 +0300
committerJunio C Hamano <gitster@pobox.com>2007-11-08 12:49:01 +0300
commite817e3e8579742312534f20c0946cd3c562cfa7c (patch)
tree7b2beac11eedeb6216ca8667ffd654d1fd1d0173 /git-clone.sh
parentcbea86fd149f5d4aabdff06f87bc766d414b160e (diff)
sh-setup: don't let eval output to be shell-expanded.
The previous patch missed the same construct in git-clone. Signed-off-by: Pierre Habouzit <madcoder@debian.org>
Diffstat (limited to 'git-clone.sh')
-rwxr-xr-xgit-clone.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-clone.sh b/git-clone.sh
index f216f03a77..24ad179bbd 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -36,7 +36,7 @@ usage() {
exec "$0" -h
}
-eval `echo "$OPTIONS_SPEC" | git rev-parse --parseopt -- "$@" || echo exit $?`
+eval "$(echo "$OPTIONS_SPEC" | git rev-parse --parseopt -- "$@" || echo exit $?)"
get_repo_base() {
(